summaryrefslogtreecommitdiff
path: root/launch_mint.sh
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2016-02-28 22:27:07 +0100
committerFlorian Dold <florian.dold@gmail.com>2016-02-28 22:27:07 +0100
commitb7f0dfec8a1fe7f9aa6e4a18947812c4a4524762 (patch)
treeb91924b309db168dae2720ddfdf9f74f8d2437cc /launch_mint.sh
downloaddeployment-b7f0dfec8a1fe7f9aa6e4a18947812c4a4524762.tar.gz
deployment-b7f0dfec8a1fe7f9aa6e4a18947812c4a4524762.tar.bz2
deployment-b7f0dfec8a1fe7f9aa6e4a18947812c4a4524762.zip
add old deployment scripts
Diffstat (limited to 'launch_mint.sh')
-rwxr-xr-xlaunch_mint.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/launch_mint.sh b/launch_mint.sh
new file mode 100755
index 0000000..d730114
--- /dev/null
+++ b/launch_mint.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -eu
+
+ulimit -c unlimited
+
+pids=$(pidof taler-mint-httpd || true)
+if [[ ! -z "$pids" ]]; then
+ kill $pids || true
+ sleep 1
+ kill -9 $pids || true
+fi
+
+echo launching mint
+
+cd $HOME
+
+nohup $HOME/local/bin/taler-mint-httpd -d $HOME/mint_config | tee $HOME/nohup.mint.out &
+disown